Package org.gradle.api.publish.maven

# Interface MavenPomDeploymentRepository

@Incubating @NullMarked public interface MavenPomDeploymentRepository
The repository information of the Maven `distributionManagement` node.

Since:
  9.1.0
See Also:
  - `MavenPom`
  - `MavenPomDistributionManagement`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Property<String>`
  `getId()`
  A unique identifier for a repository.
  `Property<String>`
  `getLayout()`
  The type of layout this repository uses for locating and storing artifacts - can be `legacy` or `default`.
  `Property<String>`
  `getName()`
  Human readable name of the repository.
  `Property<Boolean>`
  `getUniqueVersion()`
  Whether to assign snapshots a unique version comprised of the timestamp and build number, or to use the same version each time.
  `Property<String>`
  `getUrl()`
  The url of the repository, in the form `protocol://hostname/path`.

- ## Method Details

  - ### getId

    Property<String> getId()
    A unique identifier for a repository.
    Since:
      9.1.0

  - ### getName

    Property<String> getName()
    Human readable name of the repository.
    Since:
      9.1.0

  - ### getUniqueVersion

    Property<Boolean> getUniqueVersion()
    Whether to assign snapshots a unique version comprised of the timestamp and build number, or to use the same version each time. Default value: `true`
    Since:
      9.1.0

  - ### getUrl

    Property<String> getUrl()
    The url of the repository, in the form `protocol://hostname/path`.
    Since:
      9.1.0

  - ### getLayout

    Property<String> getLayout()
    The type of layout this repository uses for locating and storing artifacts - can be `legacy` or `default`. Default value: `default`
    Since:
      9.1.0